Displaying 10 results from an estimated 10 matches for "pid4".
Did you mean:
pid
2019 Apr 25
0
[nbdkit PATCH v2 5/5] nbd: Test .extents
...qemu-img --version
+requires qemu-img map --help
+
+out="test-nbd-extents.out"
+expected="test-nbd-extents.expected"
+socket="test-nbd-extents.sock"
+pid1="test-nbd-extents.pid1"
+pid2="test-nbd-extents.pid2"
+pid3="test-nbd-extents.pid3"
+pid4="test-nbd-extents.pid4"
+pid5="test-nbd-extents.pid5"
+files="$out $expected $socket $pid1 $pid2 $pid3 $pid4 $pid5"
+rm -f $files
+cleanup_fn rm -f $files
+
+do_test ()
+{
+ start_nbdkit -P "$4" -U "$socket" \
+ --filter=truncate \
+...
2018 Mar 22
1
[nbdkit PATCH] plugins: Add .can_zero callback
...mu-io -f raw -d unmap -c 'w -z -u 0 1M' nozero1.img; then
echo "$0: missing or broken qemu-io"
rm nozero?.img
@@ -57,7 +60,7 @@ if test "$(stat -c %b nozero1.img)" = "$(stat -c %b nozero2.img)"; then
fi
cp nozero2.img nozero1.img
-pid1= pid2= pid3= pid4=
+pid1= pid2= pid3= pid4= pid5a= pid5b=
# Kill any nbdkit processes on exit.
cleanup ()
@@ -68,6 +71,8 @@ cleanup ()
test "$pid2" && kill $pid2
test "$pid3" && kill $pid3
test "$pid4" && kill $pid4
+ test "$pid5a"...
2018 Sep 13
0
[PATCH v2 nbdkit 5/5] tests: Add a helper function which waits for nbdkit to start up.
...tion is called implicitly on exit.
diff --git a/tests/test-fua.sh b/tests/test-fua.sh
index f7c4571..20ba16d 100755
--- a/tests/test-fua.sh
+++ b/tests/test-fua.sh
@@ -51,16 +51,10 @@ if ! qemu-io -f raw -t none -c flush -c 'w -f -z 0 64k' fua.img; then
exit 77
fi
-pid1= pid2= pid3= pid4=
-
-# Kill any nbdkit processes on exit.
+# For easier debugging, dump the final log files before removing them
+# on exit.
cleanup ()
{
- test "$pid1" && kill $pid1
- test "$pid2" && kill $pid2
- test "$pid3" && kill $pid3
- test...
2018 Aug 01
1
[PATCH nbdkit] tests: Cancel trap in cleanup function to avoid recursive traps.
...status=$?
+ trap '' INT QUIT TERM EXIT ERR
+ echo $0: cleanup: exit code $status
kill $pid
rm -f $files
diff --git a/tests/test-fua.sh b/tests/test-fua.sh
index 0ec9ef0..8a8c7fc 100755
--- a/tests/test-fua.sh
+++ b/tests/test-fua.sh
@@ -56,6 +56,8 @@ pid1= pid2= pid3= pid4=
cleanup ()
{
status=$?
+ trap '' INT QUIT TERM EXIT ERR
+ echo $0: cleanup: exit code $status
test "$pid1" && kill $pid1
test "$pid2" && kill $pid2
diff --git a/tests/test-log.sh b/tests/test-log.sh
index 94d3960..8948c2c 100755...
2018 Sep 13
8
[PATCH v2 nbdkit 0/5] tests: Move common functions into tests/functions.sh
v1 was here:
https://www.redhat.com/archives/libguestfs/2018-September/msg00057.html
v2:
- Fix tab vs spaces in configure.ac.
- To generate list of plugins, use printf instead of xargs.
- Use 'source ./functions.sh' instead of 'source functions'.
- functions.sh: Consistent quoting in foreach_plugin function.
- functions.sh: Change the contract of start_nbdkit so it
2018 Sep 11
0
[PATCH nbdkit 4/4] tests: Add a helper function which waits for nbdkit to start up.
...`seq 1 10`; do
- if test -f fua1.pid && test -f fua2.pid && test -f fua3.pid &&
- test -f fua4.pid; then
- break
- fi
- sleep 1
-done
-
-pid1="$(cat fua1.pid)" || :
-pid2="$(cat fua2.pid)" || :
-pid3="$(cat fua3.pid)" || :
-pid4="$(cat fua4.pid)" || :
-
-if ! test -f fua1.pid || ! test -f fua2.pid || ! test -f fua3.pid ||
- ! test -f fua4.pid; then
- echo "$0: PID files were not created"
- exit 1
-fi
+start_nbdkit -P fua1.pid -U fua1.sock \
+ --filter=log --filter=fua \
+...
2019 Apr 25
6
[nbdkit PATCH v2 0/5] structured replies/.extents for nbd plugin
Updated based on other changes that have happened in the meantime:
- rely more on cleanup.h (throughout)
- split structured read for easier review (patch 2 and 3 were combined in v1)
- rely on nbdkit not leaking a server's partial answer (patch 3)
- add tests (patch 5)
- other bug fixes I found while testing it
- drop EOVERFLOW patch for now; it will be separate once upstream
NBD protocol
2018 Sep 11
7
[PATCH nbdkit 0/4] tests: Move common functions into tests/functions.sh
Combine much common code into tests/functions.sh.
Patch 1: Preparation for patch 3.
Patch 2: Fix a long-standing bug in how man pages links are generated.
Patch 3: Common code for iterating a test function over every plugin.
Patch 4: Common code for starting nbdkit in a test and waiting for the
PID file to appear. This is the largest and most complex of
the patches but is
2018 Sep 13
0
[PATCH v2 nbdkit 4/5] tests: Use a generic cleanup mechanism instead of explicit trap.
...tests/test-fua.sh b/tests/test-fua.sh
index f95aa18..f7c4571 100755
--- a/tests/test-fua.sh
+++ b/tests/test-fua.sh
@@ -31,6 +31,7 @@
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
+source ./functions.sh
set -e
set -x
@@ -55,10 +56,6 @@ pid1= pid2= pid3= pid4=
# Kill any nbdkit processes on exit.
cleanup ()
{
- status=$?
- trap '' INT QUIT TERM EXIT ERR
- echo $0: cleanup: exit code $status
-
test "$pid1" && kill $pid1
test "$pid2" && kill $pid2
test "$pid3" && kill...
2018 Mar 08
19
[nbdkit PATCH v3 00/15] Add FUA support to nbdkit
After more than a month since v2 [1], I've finally got my FUA
support series polished. This is all of my outstanding patches,
even though some of them were originally posted in separate
threads from the original FUA post [2], [3]
[1] https://www.redhat.com/archives/libguestfs/2018-January/msg00113.html
[2] https://www.redhat.com/archives/libguestfs/2018-January/msg00219.html
[3]